cURL
curl --request PATCH \ --url https://test-api.afrainity.com/api/v1/school/class-patterns/{id}/update_a_level/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{}'
{ "id": "123e4567-e89b-12d3-a456-426614174000", "patterns": { "o_level": [ { "id": 1, "name": "Science" }, { "id": 2, "name": "Arts" } ], "a_level": [ { "id": 1, "name": "PCM" }, { "id": 2, "name": "BCM" }, { "id": 3, "name": "HGL" } ] }, "created_at": "2025-01-15T10:30:00Z", "updated_at": "2025-01-20T14:45:00Z" }
Update only the A-Level patterns in a class pattern configuration. The O-Level patterns remain unchanged. Validation Rules:
id
name
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
A UUID string identifying this class patterns.